﻿using System;

namespace TotalCostSolver
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Total Cost Solver");
            Console.WriteLine("-----------------");

            // Ask the user for the name of the item
            Console.Write("Enter the name of the item: ");
            string itemName = Console.ReadLine();

            // Ask the user for the price per item
            Console.Write($"Enter the price of {itemName} per item: ");
            double pricePerItem;
            if (!double.TryParse(Console.ReadLine(), out pricePerItem) || pricePerItem < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative number for the price per item.");
                return;
            }

            // Ask the user for the quantity of items purchased
            Console.Write($"Enter the quantity of {itemName} purchased: ");
            int quantity;
            if (!int.TryParse(Console.ReadLine(), out quantity) || quantity < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative integer for the quantity purchased.");
                return;
            }

            // Calculate the total cost
            double totalCost = pricePerItem * quantity;

            // Display the calculated total cost
            Console.WriteLine($"Total cost for {quantity} {itemName}(s): {totalCost:C}");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}